import java.util.Scanner;

import javax.swing.JOptionPane;
/** Practice problems from Handout 4 on  conditionals.
 * Computes the amount due to the electrical company. Depending 
 * on the customer type, various rules and rates are applied. 
 * 
 *  Input:
 *  	usage code - R, I or C
 *      kwhrs used 
 *      account nbr
 *  Output:
 * 		amtDue
 * */
public class ElectricalBill {

	public static void main(String[] args) {      	   	
		// declare constants for different params 
		//    	 residential customer
		final double RES_RATE = 0.052;
		final double RES_FEE = 6;

		// commercial customer
		final int    COM_LIMIT = 1000;
		final double COM_RATE = 0.045;
		final double COM_FEE = 60;

		// industrial customer
		final int    IND_LIMIT = 5000;
		final int    IND_LIMIT_2 = 1000;
		final int    IND_LIMIT_3 = 3000;
		final double IND_RATE_BELOW = 0.028;
		final double IND_FEE_BELOW = 76;
		final double IND_RATE_ABOVE = 0.03;
		final double IND_FEE_ABOVE = 270;

		Scanner kb = new Scanner(System.in);

		// 1.  Get user input: code, kwhrs, acc No
		System.out.print("Please enter use code (R, I or C)");
		char code =  kb.next().toUpperCase().charAt(0);

		System.out.print("Please enter kwhrs consumed" );
		int kwhrs = kb.nextInt();

		kb.nextLine();  // this just reads an empty string
		System.out.print( "Now the acc number");
		String accountNbr = kb.nextLine();
		double amtDue = 0;

		System.out.println(" code = " +  code + " kwhrs = " +  kwhrs + " accNo " + accountNbr);

		// 2. Depending on the code, apply the rules

		if (code == 'R')
		{
			System.out.println("Residential");
			amtDue = RES_FEE  + RES_RATE*kwhrs;				
		} 
		else
			if (code == 'C') {
				System.out.println("Commercial");
				// check if under 1000 or not
				if (kwhrs <= COM_LIMIT) 
					amtDue = COM_FEE;
				else amtDue = COM_FEE + COM_RATE * (kwhrs - COM_LIMIT );			
			}
			else 
				if (code == 'I'){
					System.out.println("Industrial use not implemented yet.");
				}

				else 
					System.out.println("Code " + code  + " is not valid,. Use R, I or C" );

		System.out.println("amtDue = " + amtDue);
	}

}


